local opt = vim.opt

vim.g.netrw_liststyle = 3

opt.relativenumber = true
opt.number = true

opt.tabstop = 4
opt.shiftwidth = 4
opt.expandtab = true
opt.autoindent = true

opt.ignorecase = true
opt.smartcase = true

opt.termguicolors = true
opt.signcolumn = 'yes'

opt.clipboard:append('unnamedplus')

opt.conceallevel = 2

opt.breakindent = true
opt.linebreak = true

opt.cursorline = true

opt.foldmethod = 'marker'
-- opt.foldmethod = 'expr'
-- opt.foldexpr = 'nvim_treesitter#foldexpr()'

vim.api.nvim_create_autocmd('TermOpen', {
    pattern = '*',
    callback = function()
        vim.opt.number = false
        vim.opt.relativenumber = false
    end
})

vim.cmd([[call digraph_set('|-', '⊢')]])
